//
//  SocialSharing.h
//  Shared
//
//  Created by Felipe Arimateia on 7/11/13.
//  Copyright (c) 2013 Felipe Arimateia. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <MessageUI/MessageUI.h>


@interface SocialSharing : NSObject

//Twitter
+ (void) postToTwitterWhitMessage:(NSString *)message andURL:(NSArray *)urls andImage:(NSArray *)images andSuccess:(void (^)(BOOL success, BOOL cancell))success;

//Facebook
+ (void) postToFacebookWhitMessage:(NSString *)message andURL:(NSArray *)urls andImage:(NSArray *)images andSuccess:(void (^)(BOOL success, BOOL cancell))success;

//E-mail
+ (void)postToEmailWhitSubject:(NSString *)subject andMessage:(NSString *)message andImage:(NSArray *)images andDelegate:(id<MFMailComposeViewControllerDelegate>)delegate;

@end
