//
//  ViewController.m
//  Shared
//
//  Created by Felipe Arimateia on 7/11/13.
//  Copyright (c) 2013 Felipe Arimateia. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)postToTwitter:(id)sender {
    
    [SocialSharing postToTwitterWhitMessage:@"Teste Twitter Shared!" andURL:nil andImage:nil andSuccess:^(BOOL success, BOOL cancell) {
        
    }];
}

- (IBAction)postToFacebook:(id)sender {
    
    [SocialSharing postToFacebookWhitMessage:@"Teste Facebook Shared!" andURL:nil andImage:nil andSuccess:^(BOOL success, BOOL cancell) {
        
    }];
}

- (IBAction)postToEmail:(id)sender {
    
    [SocialSharing postToEmailWhitSubject:@"Email" andMessage:@"Teste Email!" andImage:nil andDelegate:self];
}

- (void)mailComposeController:(MFMailComposeViewController*)controller didFinishWithResult:(MFMailComposeResult)result error:(NSError*)error
{
    switch (result)
    {
        case MFMailComposeResultCancelled:
            NSLog(@"Mail cancelled: you cancelled the operation and no email message was queued.");
            break;
        case MFMailComposeResultSaved:
            NSLog(@"Mail saved: you saved the email message in the drafts folder.");
            break;
        case MFMailComposeResultSent:
            NSLog(@"Mail send: the email message is queued in the outbox. It is ready to send.");
            break;
        case MFMailComposeResultFailed:
            NSLog(@"Mail failed: the email message was not saved or queued, possibly due to an error.");
            break;
        default:
            NSLog(@"Mail not sent.");
            break;
    }
    // Remove the mail view
    [self dismissViewControllerAnimated:YES completion:nil];
}
@end
